Patch  oval:org.mitre.oval:def:13121
USN-853-1 -- firefox-3.0, firefox-3.5, xulrunner-1.9, xulrunner-1.9.1 vulnerabilities  

Alin Rad Pop discovered a heap-based buffer overflow in Firefox when it converted strings to floating point numbers. If a user were tricked into viewing a malicious website, a remote attacker could cause a denial of service or possibly execute arbitrary code with the privileges of the user invoking the program. Jeremy Brown discovered that the Firefox Download Manager was vulnerable to symlink attacks. A local attacker could exploit this to create or overwrite files with the privileges of the user invoking the program. Paul Stone discovered a flaw in the Firefox form history. If a user were tricked into viewing a malicious website, a remote attacker could access this data to steal confidential information. Orlando Berrera discovered that Firefox did not properly free memory when using web-workers. If a user were tricked into viewing a malicious website, a remote attacker could cause a denial of service or possibly execute arbitrary code with the privileges of the user invoking the program. This issue only affected Ubuntu 9.10. A flaw was discovered in the way Firefox processed Proxy Auto-configuration files. If a user configured the browser to use PAC files with certain regular expressions, an attacker could cause a denial of service or possibly execute arbitrary code with the privileges of the user invoking the program. A heap-based buffer overflow was discovered in Mozilla"s GIF image parser. If a user were tricked into viewing a malicious website, a remote attacker could cause a denial of service or possibly execute arbitrary code with the privileges of the user invoking the program. A flaw was discovered in the JavaScript engine of Firefox. An attacker could exploit this to execute scripts from page content with chrome privileges. Gregory Fleischer discovered that the same-origin check in Firefox could be bypassed by utilizing the document.getSelection function. An attacker could exploit this to read data from other domains. Jesse Ruderman and Sid Stamm discovered that Firefox did not properly display filenames containing right-to-left override characters. If a user were tricked into downloading a malicious file with a crafted filename, an attacker could exploit this to trick the user into opening a different file than the user expected. Several flaws were discovered in third party media libraries. If a user were tricked into opening a crafted media file, a remote attacker could cause a denial of service or possibly execute arbitrary code with the privileges of the user invoking the program. This issue only affected Ubuntu 9.10. Vladimir Vukicevic, Jesse Ruderman, Martijn Wargers, Daniel Banchero, David Keeler, Boris Zbarsky, Thomas Frederiksen, Marcia Knous, Carsten Book, Kevin Brosnan, David Anderson and Jeff Walden discovered various flaws in the browser and JavaScript engines of Firefox. If a user were tricked into viewing a malicious website, a remote attacker could cause a denial of service or possibly execute arbitrary code with the privileges of the user invoking the program
Create Date: 2011-10-18 Last Update Date: 2011-11-02

Affected Platforms/Products

Platforms: unix (from OVAL definitions) Products: unix
  • Ubuntu 9.04
  • Ubuntu 9.10
  • Ubuntu 8.04
  • Ubuntu 8.10
  • xulrunner-1.9.1
  • xulrunner-1.9
  • firefox-3.5
  • firefox-3.0

References

Criteria

The patch should be installed
IF : Any one of the following are true
IF : All of the following are true Release section
Prerequisites (Extended Definitions)
Ubuntu 9.04 is installed oval:org.mitre.oval:def:12669
IF : Any one of the following are true Architecture section
IF : All of the following are true Architecture depended section
IF : Any one of the following are true Packages section
IF : abrowser-3.0-branding DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.9.04.1
Linux : Debian DPKG Test :  abrowser-3.0-branding DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.9.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package abrowser-3.0-branding package information
abrowser-3.0-branding
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.9.04.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-3.0-dev DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.9.04.1
Linux : Debian DPKG Test :  firefox-3.0-dev DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.9.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-3.0-dev package information
firefox-3.0-dev
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.9.04.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : xulrunner-dev DPKG is earlier than 1.9.0.15+nobinonly-0ubuntu0.9.04.1
Linux : Debian DPKG Test :  xulrunner-dev DPKG is earlier than 1.9.0.15+nobinonly-0ubuntu0.9.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package xulrunner-dev package information
xulrunner-dev
RPM Version less than 0:1.9.0.15+nobinonly-0ubuntu0.9.04.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-3.0-gnome-support DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.9.04.1
Linux : Debian DPKG Test :  firefox-3.0-gnome-support DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.9.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-3.0-gnome-support package information
firefox-3.0-gnome-support
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.9.04.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : xulrunner-1.9 DPKG is earlier than 1.9.0.15+nobinonly-0ubuntu0.9.04.1
Linux : Debian DPKG Test :  xulrunner-1.9 DPKG is earlier than 1.9.0.15+nobinonly-0ubuntu0.9.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package xulrunner-1.9 package information
xulrunner-1.9
RPM Version less than 0:1.9.0.15+nobinonly-0ubuntu0.9.04.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : xulrunner-1.9-gnome-support DPKG is earlier than 1.9.0.15+nobinonly-0ubuntu0.9.04.1
Linux : Debian DPKG Test :  xulrunner-1.9-gnome-support DPKG is earlier than 1.9.0.15+nobinonly-0ubuntu0.9.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package xulrunner-1.9-gnome-support package information
xulrunner-1.9-gnome-support
RPM Version less than 0:1.9.0.15+nobinonly-0ubuntu0.9.04.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : xulrunner-1.9-dev DPKG is earlier than 1.9.0.15+nobinonly-0ubuntu0.9.04.1
Linux : Debian DPKG Test :  xulrunner-1.9-dev DPKG is earlier than 1.9.0.15+nobinonly-0ubuntu0.9.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package xulrunner-1.9-dev package information
xulrunner-1.9-dev
RPM Version less than 0:1.9.0.15+nobinonly-0ubuntu0.9.04.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-3.0-branding DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.9.04.1
Linux : Debian DPKG Test :  firefox-3.0-branding DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.9.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-3.0-branding package information
firefox-3.0-branding
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.9.04.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-3.0 DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.9.04.1
Linux : Debian DPKG Test :  firefox-3.0 DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.9.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-3.0 package information
firefox-3.0
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.9.04.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : Any one of the following are true Supported architectures section
IF : Installed architecture is lpia
Uname Test :  Installed architecture is lpia 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) lpia
processor_type is lpia unix : uname_state 
IF : Installed architecture is i386
Uname Test :  Installed architecture is i386 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) i686
processor_type is i686 unix : uname_state 
IF : Installed architecture is amd64
Uname Test :  Installed architecture is amd64 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) x86-64
processor_type is x86-64 unix : uname_state 
IF : Installed architecture is powerpc
Uname Test :  Installed architecture is powerpc 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) ppc
processor_type is ppc unix : uname_state 
IF : All of the following are true Architecture independent section
IF : Installed architecture is all
Uname Test :  Installed architecture is all 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
IF : Any one of the following are true Packages section
IF : firefox-trunk-dev DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.9.04.1
Linux : Debian DPKG Test :  firefox-trunk-dev DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.9.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-trunk-dev package information
firefox-trunk-dev
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.9.04.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-dom-inspector DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.9.04.1
Linux : Debian DPKG Test :  firefox-dom-inspector DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.9.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-dom-inspector package information
firefox-dom-inspector
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.9.04.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-3.0-venkman DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.9.04.1
Linux : Debian DPKG Test :  firefox-3.0-venkman DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.9.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-3.0-venkman package information
firefox-3.0-venkman
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.9.04.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-libthai DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.9.04.1
Linux : Debian DPKG Test :  firefox-libthai DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.9.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-libthai package information
firefox-libthai
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.9.04.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-3.0-dom-inspector DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.9.04.1
Linux : Debian DPKG Test :  firefox-3.0-dom-inspector DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.9.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-3.0-dom-inspector package information
firefox-3.0-dom-inspector
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.9.04.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : xulrunner-1.9-dom-inspector DPKG is earlier than 1.9.0.15+nobinonly-0ubuntu0.9.04.1
Linux : Debian DPKG Test :  xulrunner-1.9-dom-inspector DPKG is earlier than 1.9.0.15+nobinonly-0ubuntu0.9.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package xulrunner-1.9-dom-inspector package information
xulrunner-1.9-dom-inspector
RPM Version less than 0:1.9.0.15+nobinonly-0ubuntu0.9.04.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-trunk DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.9.04.1
Linux : Debian DPKG Test :  firefox-trunk DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.9.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-trunk package information
firefox-trunk
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.9.04.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-trunk-venkman DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.9.04.1
Linux : Debian DPKG Test :  firefox-trunk-venkman DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.9.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-trunk-venkman package information
firefox-trunk-venkman
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.9.04.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-trunk-dom-inspector DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.9.04.1
Linux : Debian DPKG Test :  firefox-trunk-dom-inspector DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.9.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-trunk-dom-inspector package information
firefox-trunk-dom-inspector
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.9.04.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : xulrunner-1.9-venkman DPKG is earlier than 1.9.0.15+nobinonly-0ubuntu0.9.04.1
Linux : Debian DPKG Test :  xulrunner-1.9-venkman DPKG is earlier than 1.9.0.15+nobinonly-0ubuntu0.9.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package xulrunner-1.9-venkman package information
xulrunner-1.9-venkman
RPM Version less than 0:1.9.0.15+nobinonly-0ubuntu0.9.04.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-granparadiso-gnome-support DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.9.04.1
Linux : Debian DPKG Test :  firefox-granparadiso-gnome-support DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.9.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-granparadiso-gnome-support package information
firefox-granparadiso-gnome-support
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.9.04.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-trunk-gnome-support DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.9.04.1
Linux : Debian DPKG Test :  firefox-trunk-gnome-support DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.9.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-trunk-gnome-support package information
firefox-trunk-gnome-support
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.9.04.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-granparadiso DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.9.04.1
Linux : Debian DPKG Test :  firefox-granparadiso DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.9.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-granparadiso package information
firefox-granparadiso
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.9.04.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-gnome-support DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.9.04.1
Linux : Debian DPKG Test :  firefox-gnome-support DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.9.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-gnome-support package information
firefox-gnome-support
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.9.04.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-dev DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.9.04.1
Linux : Debian DPKG Test :  firefox-dev DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.9.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-dev package information
firefox-dev
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.9.04.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-granparadiso-dom-inspector DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.9.04.1
Linux : Debian DPKG Test :  firefox-granparadiso-dom-inspector DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.9.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-granparadiso-dom-inspector package information
firefox-granparadiso-dom-inspector
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.9.04.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.9.04.1
Linux : Debian DPKG Test :  firefox DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.9.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox package information
firefox
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.9.04.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-granparadiso-dev DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.9.04.1
Linux : Debian DPKG Test :  firefox-granparadiso-dev DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.9.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-granparadiso-dev package information
firefox-granparadiso-dev
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.9.04.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : abrowser DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.9.04.1
Linux : Debian DPKG Test :  abrowser DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.9.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package abrowser package information
abrowser
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.9.04.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : All of the following are true Release section
Prerequisites (Extended Definitions)
Ubuntu 9.10 is installed oval:org.mitre.oval:def:13079
IF : Any one of the following are true Architecture section
IF : All of the following are true Architecture depended section
IF : Any one of the following are true Packages section
IF : xulrunner-1.9.1-gnome-support DPKG is earlier than 1.9.1.4+nobinonly-0ubuntu0.9.10.1
Linux : Debian DPKG Test :  xulrunner-1.9.1-gnome-support DPKG is earlier than 1.9.1.4+nobinonly-0ubuntu0.9.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package xulrunner-1.9.1-gnome-support package information
xulrunner-1.9.1-gnome-support
RPM Version less than 0:1.9.1.4+nobinonly-0ubuntu0.9.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : abrowser-3.5-branding DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1
Linux : Debian DPKG Test :  abrowser-3.5-branding DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package abrowser-3.5-branding package information
abrowser-3.5-branding
RPM Version less than 0:3.5.4+nobinonly-0ubuntu0.9.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : xulrunner-1.9.1 DPKG is earlier than 1.9.1.4+nobinonly-0ubuntu0.9.10.1
Linux : Debian DPKG Test :  xulrunner-1.9.1 DPKG is earlier than 1.9.1.4+nobinonly-0ubuntu0.9.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package xulrunner-1.9.1 package information
xulrunner-1.9.1
RPM Version less than 0:1.9.1.4+nobinonly-0ubuntu0.9.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : xulrunner-1.9.1-dev DPKG is earlier than 1.9.1.4+nobinonly-0ubuntu0.9.10.1
Linux : Debian DPKG Test :  xulrunner-1.9.1-dev DPKG is earlier than 1.9.1.4+nobinonly-0ubuntu0.9.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package xulrunner-1.9.1-dev package information
xulrunner-1.9.1-dev
RPM Version less than 0:1.9.1.4+nobinonly-0ubuntu0.9.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-3.5-dbg DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1
Linux : Debian DPKG Test :  firefox-3.5-dbg DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-3.5-dbg package information
firefox-3.5-dbg
RPM Version less than 0:3.5.4+nobinonly-0ubuntu0.9.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-3.5-gnome-support DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1
Linux : Debian DPKG Test :  firefox-3.5-gnome-support DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-3.5-gnome-support package information
firefox-3.5-gnome-support
RPM Version less than 0:3.5.4+nobinonly-0ubuntu0.9.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : xulrunner-dev DPKG is earlier than 1.9.1.4+nobinonly-0ubuntu0.9.10.1
Linux : Debian DPKG Test :  xulrunner-dev DPKG is earlier than 1.9.1.4+nobinonly-0ubuntu0.9.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package xulrunner-dev package information
xulrunner-dev
RPM Version less than 0:1.9.1.4+nobinonly-0ubuntu0.9.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-3.5-dev DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1
Linux : Debian DPKG Test :  firefox-3.5-dev DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-3.5-dev package information
firefox-3.5-dev
RPM Version less than 0:3.5.4+nobinonly-0ubuntu0.9.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : xulrunner-1.9.1-testsuite-dev DPKG is earlier than 1.9.1.4+nobinonly-0ubuntu0.9.10.1
Linux : Debian DPKG Test :  xulrunner-1.9.1-testsuite-dev DPKG is earlier than 1.9.1.4+nobinonly-0ubuntu0.9.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package xulrunner-1.9.1-testsuite-dev package information
xulrunner-1.9.1-testsuite-dev
RPM Version less than 0:1.9.1.4+nobinonly-0ubuntu0.9.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-3.5 DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1
Linux : Debian DPKG Test :  firefox-3.5 DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-3.5 package information
firefox-3.5
RPM Version less than 0:3.5.4+nobinonly-0ubuntu0.9.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : xulrunner-1.9.1-testsuite DPKG is earlier than 1.9.1.4+nobinonly-0ubuntu0.9.10.1
Linux : Debian DPKG Test :  xulrunner-1.9.1-testsuite DPKG is earlier than 1.9.1.4+nobinonly-0ubuntu0.9.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package xulrunner-1.9.1-testsuite package information
xulrunner-1.9.1-testsuite
RPM Version less than 0:1.9.1.4+nobinonly-0ubuntu0.9.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : xulrunner-1.9.1-dbg DPKG is earlier than 1.9.1.4+nobinonly-0ubuntu0.9.10.1
Linux : Debian DPKG Test :  xulrunner-1.9.1-dbg DPKG is earlier than 1.9.1.4+nobinonly-0ubuntu0.9.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package xulrunner-1.9.1-dbg package information
xulrunner-1.9.1-dbg
RPM Version less than 0:1.9.1.4+nobinonly-0ubuntu0.9.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-3.5-branding DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1
Linux : Debian DPKG Test :  firefox-3.5-branding DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-3.5-branding package information
firefox-3.5-branding
RPM Version less than 0:3.5.4+nobinonly-0ubuntu0.9.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : Any one of the following are true Supported architectures section
IF : Installed architecture is i386
Uname Test :  Installed architecture is i386 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) i686
processor_type is i686 unix : uname_state 
IF : Installed architecture is amd64
Uname Test :  Installed architecture is amd64 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) x86-64
processor_type is x86-64 unix : uname_state 
IF : Installed architecture is lpia
Uname Test :  Installed architecture is lpia 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) lpia
processor_type is lpia unix : uname_state 
IF : Installed architecture is powerpc
Uname Test :  Installed architecture is powerpc 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) ppc
processor_type is ppc unix : uname_state 
IF : All of the following are true Architecture independent section
IF : Installed architecture is all
Uname Test :  Installed architecture is all 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
IF : Any one of the following are true Packages section
IF : abrowser-3.0 DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1
Linux : Debian DPKG Test :  abrowser-3.0 DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package abrowser-3.0 package information
abrowser-3.0
RPM Version less than 0:3.5.4+nobinonly-0ubuntu0.9.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-3.0-dev DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1
Linux : Debian DPKG Test :  firefox-3.0-dev DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-3.0-dev package information
firefox-3.0-dev
RPM Version less than 0:3.5.4+nobinonly-0ubuntu0.9.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-3.1-branding DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1
Linux : Debian DPKG Test :  firefox-3.1-branding DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-3.1-branding package information
firefox-3.1-branding
RPM Version less than 0:3.5.4+nobinonly-0ubuntu0.9.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : abrowser DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1
Linux : Debian DPKG Test :  abrowser DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package abrowser package information
abrowser
RPM Version less than 0:3.5.4+nobinonly-0ubuntu0.9.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : abrowser-3.0-branding DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1
Linux : Debian DPKG Test :  abrowser-3.0-branding DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package abrowser-3.0-branding package information
abrowser-3.0-branding
RPM Version less than 0:3.5.4+nobinonly-0ubuntu0.9.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-3.0-dom-inspector DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1
Linux : Debian DPKG Test :  firefox-3.0-dom-inspector DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-3.0-dom-inspector package information
firefox-3.0-dom-inspector
RPM Version less than 0:3.5.4+nobinonly-0ubuntu0.9.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : abrowser-3.1-branding DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1
Linux : Debian DPKG Test :  abrowser-3.1-branding DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package abrowser-3.1-branding package information
abrowser-3.1-branding
RPM Version less than 0:3.5.4+nobinonly-0ubuntu0.9.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : abrowser-3.1 DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1
Linux : Debian DPKG Test :  abrowser-3.1 DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package abrowser-3.1 package information
abrowser-3.1
RPM Version less than 0:3.5.4+nobinonly-0ubuntu0.9.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : abrowser-3.5 DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1
Linux : Debian DPKG Test :  abrowser-3.5 DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package abrowser-3.5 package information
abrowser-3.5
RPM Version less than 0:3.5.4+nobinonly-0ubuntu0.9.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-3.1-dbg DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1
Linux : Debian DPKG Test :  firefox-3.1-dbg DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-3.1-dbg package information
firefox-3.1-dbg
RPM Version less than 0:3.5.4+nobinonly-0ubuntu0.9.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-3.0-gnome-support DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1
Linux : Debian DPKG Test :  firefox-3.0-gnome-support DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-3.0-gnome-support package information
firefox-3.0-gnome-support
RPM Version less than 0:3.5.4+nobinonly-0ubuntu0.9.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-3.1 DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1
Linux : Debian DPKG Test :  firefox-3.1 DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-3.1 package information
firefox-3.1
RPM Version less than 0:3.5.4+nobinonly-0ubuntu0.9.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-dom-inspector DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1
Linux : Debian DPKG Test :  firefox-dom-inspector DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-dom-inspector package information
firefox-dom-inspector
RPM Version less than 0:3.5.4+nobinonly-0ubuntu0.9.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-3.0-branding DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1
Linux : Debian DPKG Test :  firefox-3.0-branding DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-3.0-branding package information
firefox-3.0-branding
RPM Version less than 0:3.5.4+nobinonly-0ubuntu0.9.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-gnome-support DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1
Linux : Debian DPKG Test :  firefox-gnome-support DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-gnome-support package information
firefox-gnome-support
RPM Version less than 0:3.5.4+nobinonly-0ubuntu0.9.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-3.1-dev DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1
Linux : Debian DPKG Test :  firefox-3.1-dev DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-3.1-dev package information
firefox-3.1-dev
RPM Version less than 0:3.5.4+nobinonly-0ubuntu0.9.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-3.0-venkman DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1
Linux : Debian DPKG Test :  firefox-3.0-venkman DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-3.0-venkman package information
firefox-3.0-venkman
RPM Version less than 0:3.5.4+nobinonly-0ubuntu0.9.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1
Linux : Debian DPKG Test :  firefox DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox package information
firefox
RPM Version less than 0:3.5.4+nobinonly-0ubuntu0.9.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-3.0 DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1
Linux : Debian DPKG Test :  firefox-3.0 DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-3.0 package information
firefox-3.0
RPM Version less than 0:3.5.4+nobinonly-0ubuntu0.9.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-3.1-gnome-support DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1
Linux : Debian DPKG Test :  firefox-3.1-gnome-support DPKG is earlier than 3.5.4+nobinonly-0ubuntu0.9.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-3.1-gnome-support package information
firefox-3.1-gnome-support
RPM Version less than 0:3.5.4+nobinonly-0ubuntu0.9.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : All of the following are true Release section
Prerequisites (Extended Definitions)
Ubuntu 8.10 is installed oval:org.mitre.oval:def:13306
IF : Any one of the following are true Architecture section
IF : All of the following are true Architecture depended section
IF : Any one of the following are true Packages section
IF : xulrunner-dev DPKG is earlier than 1.9.0.15+nobinonly-0ubuntu0.8.10.1
Linux : Debian DPKG Test :  xulrunner-dev DPKG is earlier than 1.9.0.15+nobinonly-0ubuntu0.8.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package xulrunner-dev package information
xulrunner-dev
RPM Version less than 0:1.9.0.15+nobinonly-0ubuntu0.8.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-3.0-gnome-support DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.10.1
Linux : Debian DPKG Test :  firefox-3.0-gnome-support DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-3.0-gnome-support package information
firefox-3.0-gnome-support
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.8.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : abrowser-3.0-branding DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.10.1
Linux : Debian DPKG Test :  abrowser-3.0-branding DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package abrowser-3.0-branding package information
abrowser-3.0-branding
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.8.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-3.0-dev DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.10.1
Linux : Debian DPKG Test :  firefox-3.0-dev DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-3.0-dev package information
firefox-3.0-dev
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.8.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : xulrunner-1.9 DPKG is earlier than 1.9.0.15+nobinonly-0ubuntu0.8.10.1
Linux : Debian DPKG Test :  xulrunner-1.9 DPKG is earlier than 1.9.0.15+nobinonly-0ubuntu0.8.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package xulrunner-1.9 package information
xulrunner-1.9
RPM Version less than 0:1.9.0.15+nobinonly-0ubuntu0.8.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-3.0 DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.10.1
Linux : Debian DPKG Test :  firefox-3.0 DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-3.0 package information
firefox-3.0
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.8.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : xulrunner-1.9-dev DPKG is earlier than 1.9.0.15+nobinonly-0ubuntu0.8.10.1
Linux : Debian DPKG Test :  xulrunner-1.9-dev DPKG is earlier than 1.9.0.15+nobinonly-0ubuntu0.8.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package xulrunner-1.9-dev package information
xulrunner-1.9-dev
RPM Version less than 0:1.9.0.15+nobinonly-0ubuntu0.8.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-3.0-branding DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.10.1
Linux : Debian DPKG Test :  firefox-3.0-branding DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-3.0-branding package information
firefox-3.0-branding
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.8.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : xulrunner-1.9-gnome-support DPKG is earlier than 1.9.0.15+nobinonly-0ubuntu0.8.10.1
Linux : Debian DPKG Test :  xulrunner-1.9-gnome-support DPKG is earlier than 1.9.0.15+nobinonly-0ubuntu0.8.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package xulrunner-1.9-gnome-support package information
xulrunner-1.9-gnome-support
RPM Version less than 0:1.9.0.15+nobinonly-0ubuntu0.8.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : Any one of the following are true Supported architectures section
IF : Installed architecture is i386
Uname Test :  Installed architecture is i386 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) i686
processor_type is i686 unix : uname_state 
IF : Installed architecture is lpia
Uname Test :  Installed architecture is lpia 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) lpia
processor_type is lpia unix : uname_state 
IF : Installed architecture is amd64
Uname Test :  Installed architecture is amd64 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) x86-64
processor_type is x86-64 unix : uname_state 
IF : Installed architecture is powerpc
Uname Test :  Installed architecture is powerpc 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) ppc
processor_type is ppc unix : uname_state 
IF : All of the following are true Architecture independent section
IF : Installed architecture is all
Uname Test :  Installed architecture is all 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
IF : Any one of the following are true Packages section
IF : firefox-trunk-dev DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.10.1
Linux : Debian DPKG Test :  firefox-trunk-dev DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-trunk-dev package information
firefox-trunk-dev
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.8.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-dom-inspector DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.10.1
Linux : Debian DPKG Test :  firefox-dom-inspector DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-dom-inspector package information
firefox-dom-inspector
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.8.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-libthai DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.10.1
Linux : Debian DPKG Test :  firefox-libthai DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-libthai package information
firefox-libthai
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.8.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-trunk DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.10.1
Linux : Debian DPKG Test :  firefox-trunk DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-trunk package information
firefox-trunk
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.8.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-3.0-venkman DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.10.1
Linux : Debian DPKG Test :  firefox-3.0-venkman DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-3.0-venkman package information
firefox-3.0-venkman
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.8.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : xulrunner-1.9-dom-inspector DPKG is earlier than 1.9.0.15+nobinonly-0ubuntu0.8.10.1
Linux : Debian DPKG Test :  xulrunner-1.9-dom-inspector DPKG is earlier than 1.9.0.15+nobinonly-0ubuntu0.8.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package xulrunner-1.9-dom-inspector package information
xulrunner-1.9-dom-inspector
RPM Version less than 0:1.9.0.15+nobinonly-0ubuntu0.8.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-3.0-dom-inspector DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.10.1
Linux : Debian DPKG Test :  firefox-3.0-dom-inspector DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-3.0-dom-inspector package information
firefox-3.0-dom-inspector
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.8.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-granparadiso-gnome-support DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.10.1
Linux : Debian DPKG Test :  firefox-granparadiso-gnome-support DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-granparadiso-gnome-support package information
firefox-granparadiso-gnome-support
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.8.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-trunk-venkman DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.10.1
Linux : Debian DPKG Test :  firefox-trunk-venkman DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-trunk-venkman package information
firefox-trunk-venkman
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.8.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : xulrunner-1.9-venkman DPKG is earlier than 1.9.0.15+nobinonly-0ubuntu0.8.10.1
Linux : Debian DPKG Test :  xulrunner-1.9-venkman DPKG is earlier than 1.9.0.15+nobinonly-0ubuntu0.8.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package xulrunner-1.9-venkman package information
xulrunner-1.9-venkman
RPM Version less than 0:1.9.0.15+nobinonly-0ubuntu0.8.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-trunk-dom-inspector DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.10.1
Linux : Debian DPKG Test :  firefox-trunk-dom-inspector DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-trunk-dom-inspector package information
firefox-trunk-dom-inspector
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.8.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-trunk-gnome-support DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.10.1
Linux : Debian DPKG Test :  firefox-trunk-gnome-support DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-trunk-gnome-support package information
firefox-trunk-gnome-support
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.8.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-dev DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.10.1
Linux : Debian DPKG Test :  firefox-dev DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-dev package information
firefox-dev
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.8.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-granparadiso DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.10.1
Linux : Debian DPKG Test :  firefox-granparadiso DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-granparadiso package information
firefox-granparadiso
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.8.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-gnome-support DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.10.1
Linux : Debian DPKG Test :  firefox-gnome-support DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-gnome-support package information
firefox-gnome-support
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.8.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-granparadiso-dom-inspector DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.10.1
Linux : Debian DPKG Test :  firefox-granparadiso-dom-inspector DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-granparadiso-dom-inspector package information
firefox-granparadiso-dom-inspector
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.8.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-granparadiso-dev DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.10.1
Linux : Debian DPKG Test :  firefox-granparadiso-dev DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-granparadiso-dev package information
firefox-granparadiso-dev
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.8.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.10.1
Linux : Debian DPKG Test :  firefox DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox package information
firefox
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.8.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : abrowser DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.10.1
Linux : Debian DPKG Test :  abrowser DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.10.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package abrowser package information
abrowser
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.8.10.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : All of the following are true Release section
Prerequisites (Extended Definitions)
Ubuntu 8.04 is installed oval:org.mitre.oval:def:13250
IF : Any one of the following are true Architecture section
IF : All of the following are true Architecture depended section
IF : Any one of the following are true Packages section
IF : firefox-3.0-dev DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.04.1
Linux : Debian DPKG Test :  firefox-3.0-dev DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-3.0-dev package information
firefox-3.0-dev
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.8.04.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-3.0-gnome-support DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.04.1
Linux : Debian DPKG Test :  firefox-3.0-gnome-support DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-3.0-gnome-support package information
firefox-3.0-gnome-support
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.8.04.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : xulrunner-1.9 DPKG is earlier than 1.9.0.15+nobinonly-0ubuntu0.8.04.1
Linux : Debian DPKG Test :  xulrunner-1.9 DPKG is earlier than 1.9.0.15+nobinonly-0ubuntu0.8.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package xulrunner-1.9 package information
xulrunner-1.9
RPM Version less than 0:1.9.0.15+nobinonly-0ubuntu0.8.04.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-3.0 DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.04.1
Linux : Debian DPKG Test :  firefox-3.0 DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-3.0 package information
firefox-3.0
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.8.04.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : xulrunner-1.9-dev DPKG is earlier than 1.9.0.15+nobinonly-0ubuntu0.8.04.1
Linux : Debian DPKG Test :  xulrunner-1.9-dev DPKG is earlier than 1.9.0.15+nobinonly-0ubuntu0.8.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package xulrunner-1.9-dev package information
xulrunner-1.9-dev
RPM Version less than 0:1.9.0.15+nobinonly-0ubuntu0.8.04.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : xulrunner-1.9-gnome-support DPKG is earlier than 1.9.0.15+nobinonly-0ubuntu0.8.04.1
Linux : Debian DPKG Test :  xulrunner-1.9-gnome-support DPKG is earlier than 1.9.0.15+nobinonly-0ubuntu0.8.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package xulrunner-1.9-gnome-support package information
xulrunner-1.9-gnome-support
RPM Version less than 0:1.9.0.15+nobinonly-0ubuntu0.8.04.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : Any one of the following are true Supported architectures section
IF : Installed architecture is i386
Uname Test :  Installed architecture is i386 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) i686
processor_type is i686 unix : uname_state 
IF : Installed architecture is lpia
Uname Test :  Installed architecture is lpia 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) lpia
processor_type is lpia unix : uname_state 
IF : Installed architecture is amd64
Uname Test :  Installed architecture is amd64 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) x86-64
processor_type is x86-64 unix : uname_state 
IF : Installed architecture is powerpc
Uname Test :  Installed architecture is powerpc 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
processor_type (equals) ppc
processor_type is ppc unix : uname_state 
IF : All of the following are true Architecture independent section
IF : Installed architecture is all
Uname Test :  Installed architecture is all 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
IF : Any one of the following are true Packages section
IF : firefox-dom-inspector DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.04.1
Linux : Debian DPKG Test :  firefox-dom-inspector DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-dom-inspector package information
firefox-dom-inspector
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.8.04.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-3.0-venkman DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.04.1
Linux : Debian DPKG Test :  firefox-3.0-venkman DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-3.0-venkman package information
firefox-3.0-venkman
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.8.04.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-trunk-dev DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.04.1
Linux : Debian DPKG Test :  firefox-trunk-dev DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-trunk-dev package information
firefox-trunk-dev
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.8.04.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-libthai DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.04.1
Linux : Debian DPKG Test :  firefox-libthai DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-libthai package information
firefox-libthai
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.8.04.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : xulrunner-1.9-dom-inspector DPKG is earlier than 1.9.0.15+nobinonly-0ubuntu0.8.04.1
Linux : Debian DPKG Test :  xulrunner-1.9-dom-inspector DPKG is earlier than 1.9.0.15+nobinonly-0ubuntu0.8.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package xulrunner-1.9-dom-inspector package information
xulrunner-1.9-dom-inspector
RPM Version less than 0:1.9.0.15+nobinonly-0ubuntu0.8.04.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-3.0-dom-inspector DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.04.1
Linux : Debian DPKG Test :  firefox-3.0-dom-inspector DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-3.0-dom-inspector package information
firefox-3.0-dom-inspector
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.8.04.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-granparadiso-gnome-support DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.04.1
Linux : Debian DPKG Test :  firefox-granparadiso-gnome-support DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-granparadiso-gnome-support package information
firefox-granparadiso-gnome-support
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.8.04.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-trunk-venkman DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.04.1
Linux : Debian DPKG Test :  firefox-trunk-venkman DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-trunk-venkman package information
firefox-trunk-venkman
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.8.04.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-trunk-gnome-support DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.04.1
Linux : Debian DPKG Test :  firefox-trunk-gnome-support DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-trunk-gnome-support package information
firefox-trunk-gnome-support
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.8.04.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-trunk-dom-inspector DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.04.1
Linux : Debian DPKG Test :  firefox-trunk-dom-inspector DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-trunk-dom-inspector package information
firefox-trunk-dom-inspector
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.8.04.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : xulrunner-1.9-venkman DPKG is earlier than 1.9.0.15+nobinonly-0ubuntu0.8.04.1
Linux : Debian DPKG Test :  xulrunner-1.9-venkman DPKG is earlier than 1.9.0.15+nobinonly-0ubuntu0.8.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package xulrunner-1.9-venkman package information
xulrunner-1.9-venkman
RPM Version less than 0:1.9.0.15+nobinonly-0ubuntu0.8.04.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-granparadiso DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.04.1
Linux : Debian DPKG Test :  firefox-granparadiso DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-granparadiso package information
firefox-granparadiso
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.8.04.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-granparadiso-dev DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.04.1
Linux : Debian DPKG Test :  firefox-granparadiso-dev DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-granparadiso-dev package information
firefox-granparadiso-dev
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.8.04.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-granparadiso-dom-inspector DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.04.1
Linux : Debian DPKG Test :  firefox-granparadiso-dom-inspector DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-granparadiso-dom-inspector package information
firefox-granparadiso-dom-inspector
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.8.04.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-dev DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.04.1
Linux : Debian DPKG Test :  firefox-dev DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-dev package information
firefox-dev
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.8.04.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-gnome-support DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.04.1
Linux : Debian DPKG Test :  firefox-gnome-support DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-gnome-support package information
firefox-gnome-support
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.8.04.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.04.1
Linux : Debian DPKG Test :  firefox DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox package information
firefox
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.8.04.1 (datatype=evr_string)
linux : dpkginfo_state 
IF : firefox-trunk DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.04.1
Linux : Debian DPKG Test :  firefox-trunk DPKG is earlier than 3.0.15+nobinonly-0ubuntu0.8.04.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package firefox-trunk package information
firefox-trunk
RPM Version less than 0:3.0.15+nobinonly-0ubuntu0.8.04.1 (datatype=evr_string)
linux : dpkginfo_state 

Quick Help

evr_string datatype
Represents epoch, version, and release number as a single version string
Other Help Topics
Data Types
What is an Object?
What is a State?
What is a Test?
Other Help Topics
Regular Expression Patterns
Some object or state definitions are defined as regular expression patterns, you should interpret the regexp pattern while evaluating them.

OVAL Definitions By Referenced Objects

How does it work?   User agreement and privacy statement   About & Contact
CVE is a registred trademark of the MITRE Corporation and the authoritive source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritive source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritive source of OVAL content is MITRE's OVAL web site.
Warning: This site and all data are provided as is. It is not guaranteed that all information is accurate and complete. Use any information provided on this site at your own risk. By using this site you accept that you know that these data are provided as is and not guaranteed to be accurate, correct or complete. All trademarks appearing on this site are the property of their respective owners in the US or other countries. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss. PLEASE SEE nvd.nist.gov and oval.mitre.org for more details about OVAL language and definitions.
The information within this database may change without notice. Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. In no event shall the author/distributor/web site owner/maintainer be held liable for any damages whatsoever arising out of or in connection with the use or spread of this information.
Use of OVAL and all related data is subject to terms of use defined by Mitre at http://oval.mitre.org/oval/about/termsofuse.html